<?php

namespace Teknisa\DC\Factories;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Directory {

    public function createDirectory($directory, Entities\Resource $resource,
                                    Entities\Repository $repository, $linuxDirectory = null) {
        $entity = new Entities\Directory();
        $entity->setLocalDirectory($directory);
        $entity->setRepository($repository);
        $entity->setResource($resource);
        $entity->setLinuxDirectory($linuxDirectory);
        return $entity;
    }

    public function updateDirectory(Entities\Directory $entity, $directory,
                                    Entities\Resource $resource,
                                    Entities\Repository $repository, $linuxDirectory = null){
        $entity->setLocalDirectory($directory);
        $entity->setRepository($repository);
        $entity->setResource($resource);
        $entity->setLinuxDirectory($linuxDirectory);
        return $entity;
    }
}