<?php

namespace Teknisa\DC\Factories;

class ResourceProject {
    public function createResourceProject($resource, \Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project, $type = 'W') {
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\ResourceProject();
        $entity->setResourceC($resource);
        $entity->setProject($project);
        $entity->setType($type);
        return $entity;
    }

    public function updateResourceProject(  \Zeedhi\DevOps\Model\Projectmanagement\Entities\ResourceProject $entity,
                                            \Zeedhi\DevOps\Model\Projectmanagement\Entities\Resource $resource, \Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project,
                                            $type = 'W') {
        $entity->setResourceC($resource);
        $entity->setProject($project);
        $entity->setType($type);
        return $entity;
    }

    public function setLocalDirectory(\Zeedhi\DevOps\Model\Projectmanagement\Entities\ResourceProject $entity, $path){
        $entity->setLocalDirectory($path);
        return $entity;
    }
} 